--- a/drivers/acpi/asus_acpi.c
+++ b/drivers/acpi/asus_acpi.c
@@ -750,14 +750,14 @@ static int
 proc_write_brn(struct file *file, const char __user * buffer,
 	       unsigned long count, void *data)
 {
-	int value;
+	int value, i;
 
-	count = parse_arg(buffer, count, &value);
-	if (count > 0) {
+	i = parse_arg(buffer, count, &value);
+	if (i > 0) {
 		value = (0 < value) ? ((15 < value) ? 15 : value) : 0;
 		/* 0 <= value <= 15 */
 		set_brightness(value);
-	} else if (count < 0) {
+	} else if (i < 0) {
 		printk(KERN_WARNING "Asus ACPI: Error reading user input\n");
 	}
 
@@ -800,12 +800,12 @@ static int
 proc_write_disp(struct file *file, const char __user * buffer,
 		unsigned long count, void *data)
 {
-	int value;
+	int value,i;
 
-	count = parse_arg(buffer, count, &value);
-	if (count > 0)
+	i = parse_arg(buffer, count, &value);
+	if (i > 0)
 		set_display(value);
-	else if (count < 0)
+	else if (i < 0)
 		printk(KERN_WARNING "Asus ACPI: Error reading user input\n");
 
 	return count;
--- a/drivers/acpi/container.c
+++ b/drivers/acpi/container.c
@@ -164,7 +164,7 @@ static void container_notify_cb(acpi_han
 	case ACPI_NOTIFY_BUS_CHECK:
 		/* Fall through */
 	case ACPI_NOTIFY_DEVICE_CHECK:
-		printk("Container driver received %s event\n",
+		printk(KERN_INFO "Container driver received %s event\n",
 		       (type == ACPI_NOTIFY_BUS_CHECK) ?
 		       "ACPI_NOTIFY_BUS_CHECK" : "ACPI_NOTIFY_DEVICE_CHECK");
 		status = acpi_bus_get_device(handle, &device);
--- a/drivers/acpi/ec.c
+++ b/drivers/acpi/ec.c
@@ -1169,9 +1169,8 @@ acpi_ec_io_ports(struct acpi_resource *r
 		addr = &ec->common.data_addr;
 	} else if (ec->common.command_addr.register_bit_width == 0) {
 		addr = &ec->common.command_addr;
-	} else {
+	} else
 		return AE_CTRL_TERMINATE;
-	}
 
 	addr->address_space_id = ACPI_ADR_SPACE_SYSTEM_IO;
 	addr->register_bit_width = 8;
--- a/drivers/acpi/hotkey.c
+++ b/drivers/acpi/hotkey.c
@@ -723,6 +723,8 @@ get_parms(char *config_record,
 		goto do_fail;
 	count = tmp1 - tmp;
 	*action_handle = (char *)kmalloc(count + 1, GFP_KERNEL);
+	if (!*action_handle)
+		goto do_fail;
 	strncpy(*action_handle, tmp, count);
 	*(*action_handle + count) = 0;
 
--- a/drivers/acpi/osl.c
+++ b/drivers/acpi/osl.c
@@ -305,7 +305,7 @@ acpi_status acpi_os_remove_interrupt_han
 
 void acpi_os_sleep(acpi_integer ms)
 {
-	schedule_timeout_interruptible(msecs_to_jiffies(ms));
+	msleep_interruptible((unsigned int)ms);
 }
 
 EXPORT_SYMBOL(acpi_os_sleep);
@@ -801,7 +801,7 @@ acpi_status acpi_os_wait_semaphore(acpi_
 		// TODO: A better timeout algorithm?
 		{
 			int i = 0;
-			static const int quantum_ms = 1000 / HZ;
+			unsigned int quantum_ms = jiffies_to_msecs(1);
 
 			ret = down_trylock(sem);
 			for (i = timeout; (i > 0 && ret != 0); i -= quantum_ms) {
--- a/drivers/acpi/pci_link.c
+++ b/drivers/acpi/pci_link.c
@@ -361,7 +361,7 @@ static int acpi_pci_link_set(struct acpi
 		/* ignore resource_source, it's optional */
 		break;
 	default:
-		printk("ACPI BUG: resource_type %d\n", link->irq.resource_type);
+		printk(KERN_ERR "ACPI BUG: resource_type %d\n", link->irq.resource_type);
 		result = -EINVAL;
 		goto end;
 
--- a/drivers/acpi/pci_root.c
+++ b/drivers/acpi/pci_root.c
@@ -229,7 +229,6 @@ static int acpi_pci_root_add(struct acpi
 		if ((tmp->id.segment == root->id.segment)
 		    && (tmp->id.bus == root->id.bus)) {
 			int bus = 0;
-			acpi_status status;
 
 			ACPI_DEBUG_PRINT((ACPI_DB_ERROR,
 					  "Wrong _BBN value, please reboot and using option 'pci=noacpi'\n"));
--- a/drivers/acpi/system.c
+++ b/drivers/acpi/system.c
@@ -137,9 +137,8 @@ static int __init acpi_system_init(void)
 	entry = create_proc_entry(name, S_IRUGO, acpi_root_dir);
 	if (!entry)
 		goto Error;
-	else {
+	else
 		entry->proc_fops = &acpi_system_info_ops;
-	}
 
 	/* 'dsdt' [R] */
 	name = ACPI_SYSTEM_FILE_DSDT;
--- a/drivers/atm/adummy.c
+++ b/drivers/atm/adummy.c
@@ -4,7 +4,6 @@
 
 #include <linux/config.h>
 #include <linux/module.h>
-#include <linux/version.h>
 #include <linux/kernel.h>
 #include <linux/skbuff.h>
 #include <linux/pci.h>
--- a/drivers/atm/firestream.c
+++ b/drivers/atm/firestream.c
@@ -615,11 +615,11 @@ static void submit_qentry (struct fs_dev
 		static int c;
 		if (!(c++ % 100))
 			{
-				int rp, wp;
+				int rp, w;
 				rp =  read_fs (dev, Q_RP(q->offset));
-				wp =  read_fs (dev, Q_WP(q->offset));
+				w =  read_fs (dev, Q_WP(q->offset));
 				fs_dprintk (FS_DEBUG_TXQ, "q at %d: %x-%x: %x entries.\n", 
-					    q->offset, rp, wp, wp-rp);
+					    q->offset, rp, w, w-rp);
 			}
 	}
 }
@@ -734,8 +734,8 @@ static void process_txdone_queue (struct
       
 			skb = td->skb;
 			if (skb == FS_VCC (ATM_SKB(skb)->vcc)->last_skb) {
-				wake_up_interruptible (& FS_VCC (ATM_SKB(skb)->vcc)->close_wait);
 				FS_VCC (ATM_SKB(skb)->vcc)->last_skb = NULL;
+				wake_up_interruptible (& FS_VCC (ATM_SKB(skb)->vcc)->close_wait);
 			}
 			td->dev->ntxpckts--;
 
@@ -1113,10 +1113,10 @@ static void fs_close(struct atm_vcc *atm
 		   be impolite not to send them don't you think? 
 		   XXX
 		   We don't know which packets didn't get sent. So if we get interrupted in 
-		   this sleep_on, we'll lose any reference to these packets. Memory leak!
+		   this wait_event, we'll lose any reference to these packets. Memory leak!
 		   On the other hand, it's awfully convenient that we can abort a "close" that
 		   is taking too long. Maybe just use non-interruptible sleep on? -- REW */
-		interruptible_sleep_on (& vcc->close_wait);
+		wait_event_interruptible (vcc->close_wait, !vcc->last_skb);
 	}
 
 	txtp = &atm_vcc->qos.txtp;
--- a/drivers/atm/nicstar.c
+++ b/drivers/atm/nicstar.c
@@ -1905,7 +1905,7 @@ static int push_scqe(ns_dev *card, vc_ma
 
       scq->full = 1;
       spin_unlock_irqrestore(&scq->lock, flags);
-      interruptible_sleep_on_timeout(&scq->scqfull_waitq, SCQFULL_TIMEOUT);
+      wait_event_interruptible_timeout(scq->scqfull_waitq, !scq->full, SCQFULL_TIMEOUT);
       ns_grab_scq_lock(card, scq, flags);
 
       if (scq->full) {
@@ -1954,7 +1954,7 @@ static int push_scqe(ns_dev *card, vc_ma
          scq->full = 1;
          if (has_run++) break;
          spin_unlock_irqrestore(&scq->lock, flags);
-         interruptible_sleep_on_timeout(&scq->scqfull_waitq, SCQFULL_TIMEOUT);
+         wait_event_interruptible_timeout(scq->scqfull_waitq, !scq->full, SCQFULL_TIMEOUT);
          ns_grab_scq_lock(card, scq, flags);
       }
 
--- a/drivers/block/acsi_slm.c
+++ b/drivers/block/acsi_slm.c
@@ -67,6 +67,7 @@ not be guaranteed. There are several way
 #include <linux/slab.h>
 #include <linux/devfs_fs_kernel.h>
 #include <linux/smp_lock.h>
+#include <linux/wait.h>
 
 #include <asm/pgtable.h>
 #include <asm/system.h>
@@ -623,12 +624,10 @@ static ssize_t slm_write( struct file *f
 	int		device = iminor(node);
 	int		n, filled, w, h;
 
-	while( SLMState == PRINTING ||
-		   (SLMState == FILLING && SLMBufOwner != device) ) {
-		interruptible_sleep_on( &slm_wait );
-		if (signal_pending(current))
-			return( -ERESTARTSYS );
-	}
+	wait_event_interruptible(slm_wait, (SLMState != PRINTING &&
+				(SLMState != FILLING || SLMBufOwner == device)));
+	if (signal_pending(current))
+		return -ERESTARTSYS;
 	if (SLMState == IDLE) {
 		/* first data of page: get current page size  */
 		if (slm_get_pagesize( device, &w, &h ))
@@ -652,6 +651,7 @@ static ssize_t slm_write( struct file *f
 	filled += n;
 
 	if (filled == BufferSize) {
+		DEFINE_WAIT(wait);
 		/* Check the paper size again! The user may have switched it in the
 		 * time between starting the data and finishing them. Would end up in
 		 * a trashy page... */
@@ -670,7 +670,9 @@ static ssize_t slm_write( struct file *f
 #endif
 		
 		start_print( device );
-		sleep_on( &print_wait );
+		prepare_to_wait(&print_wait, &wait, TASK_UNINTERRUPTIBLE);
+		schedule();
+		finish_wait(&print_wait, &wait);
 		if (SLMError && IS_REAL_ERROR(SLMError)) {
 			printk( KERN_ERR "slm%d: %s\n", device, slm_errstr(SLMError) );
 			n = -EIO;
--- a/drivers/block/cciss.c
+++ b/drivers/block/cciss.c
@@ -367,7 +367,10 @@ static void __devinit cciss_procinit(int
 	pde = create_proc_read_entry(hba[i]->devname, 
 		S_IWUSR | S_IRUSR | S_IRGRP | S_IROTH, 
 		proc_cciss, cciss_proc_get_info, hba[i]);
-	pde->write_proc = cciss_proc_write;
+	if (!pde)
+		printk(KERN_WARNING "cciss: unable to create /proc entry\n");
+	else
+		pde->write_proc = cciss_proc_write;
 }
 #endif /* CONFIG_PROC_FS */
 
@@ -2816,8 +2819,7 @@ static int cciss_pci_init(ctlr_info_t *c
 		scratchpad = readl(c->vaddr + SA5_SCRATCHPAD_OFFSET);
 		if (scratchpad == CCISS_FIRMWARE_READY)
 			break;
-		set_current_state(TASK_INTERRUPTIBLE);
-		schedule_timeout(HZ / 10); /* wait 100ms */
+		msleep(100);
 	}
 	if (scratchpad != CCISS_FIRMWARE_READY) {
 		printk(KERN_WARNING "cciss: Board not ready.  Timed out.\n");
--- a/drivers/block/cpqarray.c
+++ b/drivers/block/cpqarray.c
@@ -39,6 +39,7 @@
 #include <linux/spinlock.h>
 #include <linux/blkdev.h>
 #include <linux/genhd.h>
+#include <linux/dma-mapping.h>
 #include <asm/uaccess.h>
 #include <asm/io.h>
 
@@ -65,8 +66,6 @@ MODULE_LICENSE("GPL");
 #define MAX_CTLR	8
 #define CTLR_SHIFT	8
 
-#define CPQARRAY_DMA_MASK	0xFFFFFFFF	/* 32 bit DMA */
-
 static int nr_ctlr;
 static ctlr_info_t *hba[MAX_CTLR];
 
@@ -215,13 +214,18 @@ static struct proc_dir_entry *proc_array
  */
 static void __init ida_procinit(int i)
 {
+	struct proc_dir_entry *ent;
+
 	if (proc_array == NULL) {
 		proc_array = proc_mkdir("cpqarray", proc_root_driver);
 		if (!proc_array) return;
 	}
 
-	create_proc_read_entry(hba[i]->devname, 0, proc_array,
+	ent = create_proc_read_entry(hba[i]->devname, 0, proc_array,
 			       ida_proc_get_info, hba[i]);
+	if (!ent)
+		printk(KERN_WARNING 
+			"cpqarray: unable to create /proc entry\n");
 }
 
 /*
@@ -628,7 +632,7 @@ static int cpqarray_pci_init(ctlr_info_t
 	for(i=0; i<6; i++)
 		addr[i] = pci_resource_start(pdev, i);
 
-	if (pci_set_dma_mask(pdev, CPQARRAY_DMA_MASK) != 0)
+	if (pci_set_dma_mask(pdev, DMA_32BIT_MASK) != 0)
 	{
 		printk(KERN_ERR "cpqarray: Unable to set DMA mask\n");
 		return -1;
--- a/drivers/block/DAC960.c
+++ b/drivers/block/DAC960.c
@@ -43,6 +43,7 @@
 #include <linux/init.h>
 #include <linux/jiffies.h>
 #include <linux/random.h>
+#include <linux/wait.h>
 #include <asm/io.h>
 #include <asm/uaccess.h>
 #include "DAC960.h"
@@ -2519,7 +2520,7 @@ static boolean DAC960_RegisterBlockDevic
 	/* for now, let all request queues share controller's lock */
   	RequestQueue = blk_init_queue(DAC960_RequestFunction,&Controller->queue_lock);
   	if (!RequestQueue) {
-		printk("DAC960: failure to allocate request queue\n");
+		printk(KERN_WARNING "DAC960: failure to allocate request queue\n");
 		continue;
   	}
   	Controller->RequestQueue[n] = RequestQueue;
@@ -3591,7 +3592,7 @@ static void DAC960_V1_ProcessCompletedCo
 
 #ifdef FORCE_RETRY_FAILURE_DEBUG
       if (!(++retry_count % 10000)) {
-	      printk("V1 error retry failure test\n");
+	      printk(KERN_DEBUG "V1 error retry failure test\n");
 	      normal_completion = false;
               DAC960_V1_ReadWriteError(Command);
       }
@@ -4679,7 +4680,7 @@ static void DAC960_V2_ProcessCompletedCo
 
 #ifdef FORCE_RETRY_FAILURE_DEBUG
       if (!(++retry_count % 10000)) {
-	      printk("V2 error retry failure test\n");
+	      printk(KERN_DEBUG "V2 error retry failure test\n");
 	      normal_completion = false;
 	      DAC960_V2_ReadWriteError(Command);
       }
@@ -6224,6 +6225,7 @@ static boolean DAC960_V2_TranslatePhysic
 static boolean DAC960_V2_ExecuteUserCommand(DAC960_Controller_T *Controller,
 					    unsigned char *UserCommand)
 {
+  DEFINE_WAIT(wait);
   DAC960_Command_T *Command;
   DAC960_V2_CommandMailbox_T *CommandMailbox;
   unsigned long flags;
@@ -6414,7 +6416,9 @@ static boolean DAC960_V2_ExecuteUserComm
 	  while (Controller->V2.NewControllerInformation->PhysicalScanActive)
 	    {
 	      DAC960_ExecuteCommand(Command);
-	      sleep_on_timeout(&Controller->CommandWaitQueue, HZ);
+	      prepare_to_wait(&Controller->CommandWaitQueue, &wait, TASK_UNINTERRUPTIBLE);
+	      schedule_timeout(HZ);
+	      finish_wait(&Controller->CommandWaitQueue, &wait);
 	    }
 	  DAC960_UserCritical("Discovery Completed\n", Controller);
  	}
@@ -7014,15 +7018,13 @@ static int DAC960_gam_ioctl(struct inode
 			   GetHealthStatus.HealthStatusBuffer,
 			   sizeof(DAC960_V2_HealthStatusBuffer_T)))
 		return -EFAULT;
-	while (Controller->V2.HealthStatusBuffer->StatusChangeCounter
-	       == HealthStatusBuffer.StatusChangeCounter &&
-	       Controller->V2.HealthStatusBuffer->NextEventSequenceNumber
-	       == HealthStatusBuffer.NextEventSequenceNumber)
-	  {
-	    interruptible_sleep_on_timeout(&Controller->HealthStatusWaitQueue,
-					   DAC960_MonitoringTimerInterval);
-	    if (signal_pending(current)) return -EINTR;
-	  }
+	wait_event_interruptible_timeout(Controller->HealthStatusWaitQueue,
+			(Controller->V2.HealthStatusBuffer->StatusChangeCounter
+			 != HealthStatusBuffer.StatusChangeCounter ||
+			 Controller->V2.HealthStatusBuffer->NextEventSequenceNumber
+			 != HealthStatusBuffer.NextEventSequenceNumber),
+			 DAC960_MonitoringTimerInterval);
+	if (signal_pending(current)) return -EINTR;
 	if (copy_to_user(GetHealthStatus.HealthStatusBuffer,
 			 Controller->V2.HealthStatusBuffer,
 			 sizeof(DAC960_V2_HealthStatusBuffer_T)))
--- a/drivers/block/paride/comm.c
+++ b/drivers/block/paride/comm.c
@@ -180,7 +180,7 @@ static void comm_log_adapter( PIA *pi, c
 
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: comm %s, DataStor Commuter at 0x%x, ",
+        printk(KERN_INFO "%s: comm %s, DataStor Commuter at 0x%x, ",
                 pi->device,COMM_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/dstr.c
+++ b/drivers/block/paride/dstr.c
@@ -195,7 +195,7 @@ static void dstr_log_adapter( PIA *pi, c
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8",
 				   "EPP-16","EPP-32"};
 
-        printk("%s: dstr %s, DataStor EP2000 at 0x%x, ",
+        printk(KERN_INFO "%s: dstr %s, DataStor EP2000 at 0x%x, ",
                 pi->device,DSTR_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/epat.c
+++ b/drivers/block/paride/epat.c
@@ -280,7 +280,7 @@ static int epat_test_proto( PIA *pi, cha
         epat_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: epat: port 0x%x, mode %d, ccr %x, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: epat: port 0x%x, mode %d, ccr %x, test=(%d,%d,%d)\n",
 		   pi->device,pi->port,pi->mode,cc,e[0],e[1],f);
 	}
 	
@@ -298,7 +298,7 @@ static void epat_log_adapter( PIA *pi, c
         ver = RR(0xb);
         epat_disconnect(pi);
 
-	printk("%s: epat %s, Shuttle EPAT chip %x at 0x%x, ",
+	printk(KERN_INFO "%s: epat %s, Shuttle EPAT chip %x at 0x%x, ",
 		pi->device,EPAT_VERSION,ver,pi->port);
 	printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/epia.c
+++ b/drivers/block/paride/epia.c
@@ -263,7 +263,7 @@ static int epia_test_proto( PIA *pi, cha
         epia_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: epia: port 0x%x, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: epia: port 0x%x, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,pi->mode,e[0],e[1],f);
         }
         
@@ -277,7 +277,7 @@ static void epia_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","5/3","8-bit",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: epia %s, Shuttle EPIA at 0x%x, ",
+        printk(KERN_INFO "%s: epia %s, Shuttle EPIA at 0x%x, ",
                 pi->device,EPIA_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/fit2.c
+++ b/drivers/block/paride/fit2.c
@@ -115,7 +115,7 @@ static void fit2_disconnect ( PIA *pi )
 
 static void fit2_log_adapter( PIA *pi, char * scratch, int verbose )
 
-{       printk("%s: fit2 %s, FIT 2000 adapter at 0x%x, delay %d\n",
+{	printk(KERN_INFO "%s: fit2 %s, FIT 2000 adapter at 0x%x, delay %d\n",
                 pi->device,FIT2_VERSION,pi->port,pi->delay);
 
 }
--- a/drivers/block/paride/fit3.c
+++ b/drivers/block/paride/fit3.c
@@ -173,7 +173,7 @@ static void fit3_log_adapter( PIA *pi, c
 
 {       char    *mode_string[3] = {"4-bit","8-bit","EPP"};
 
-	printk("%s: fit3 %s, FIT 3000 adapter at 0x%x, "
+	printk(KERN_INFO "%s: fit3 %s, FIT 3000 adapter at 0x%x, "
 	       "mode %d (%s), delay %d\n",
                 pi->device,FIT3_VERSION,pi->port,
 		pi->mode,mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/friq.c
+++ b/drivers/block/paride/friq.c
@@ -208,7 +208,7 @@ static int friq_test_proto( PIA *pi, cha
 	friq_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: friq: port 0x%x, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: friq: port 0x%x, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,pi->mode,e[0],e[1],r);
         }
 
@@ -221,7 +221,7 @@ static void friq_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","8-bit",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: friq %s, Freecom IQ ASIC-2 adapter at 0x%x, ", pi->device,
+        printk(KERN_INFO "%s: friq %s, Freecom IQ ASIC-2 adapter at 0x%x, ", pi->device,
 		FRIQ_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/frpw.c
+++ b/drivers/block/paride/frpw.c
@@ -231,14 +231,14 @@ static int frpw_test_proto( PIA *pi, cha
 
 	if (((pi->private%2) == 0) && (pi->mode > 2)) {
 	   if (verbose) 
-		printk("%s: frpw: Xilinx does not support mode %d\n",
+		printk(KERN_DEBUG "%s: frpw: Xilinx does not support mode %d\n",
 			pi->device, pi->mode);
 	   return 1;
 	}
 
 	if (((pi->private%2) == 1) && (pi->mode == 2)) {
 	   if (verbose)
-		printk("%s: frpw: ASIC does not support mode 2\n",
+		printk(KERN_DEBUG "%s: frpw: ASIC does not support mode 2\n",
 			pi->device);
 	   return 1;
 	}
@@ -261,7 +261,7 @@ static int frpw_test_proto( PIA *pi, cha
 	frpw_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: frpw: port 0x%x, chip %ld, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: frpw: port 0x%x, chip %ld, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,(pi->private%2),pi->mode,e[0],e[1],r);
         }
 
@@ -274,7 +274,7 @@ static void frpw_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","8-bit","EPP",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: frpw %s, Freecom (%s) adapter at 0x%x, ", pi->device,
+        printk(KERN_INFO "%s: frpw %s, Freecom (%s) adapter at 0x%x, ", pi->device,
 		FRPW_VERSION,((pi->private%2) == 0)?"Xilinx":"ASIC",pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/kbic.c
+++ b/drivers/block/paride/kbic.c
@@ -232,7 +232,7 @@ static void kbic_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","5/3","8-bit",
 				   "EPP-8","EPP_16","EPP-32"};
 
-        printk("%s: kbic %s, KingByte %s at 0x%x, ",
+        printk(KERN_INFO "%s: kbic %s, KingByte %s at 0x%x, ",
                 pi->device,KBIC_VERSION,chip,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/ktti.c
+++ b/drivers/block/paride/ktti.c
@@ -92,7 +92,7 @@ static void ktti_disconnect ( PIA *pi )
 
 static void ktti_log_adapter( PIA *pi, char * scratch, int verbose )
 
-{       printk("%s: ktti %s, KT adapter at 0x%x, delay %d\n",
+{       printk(KERN_INFO "%s: ktti %s, KT adapter at 0x%x, delay %d\n",
                 pi->device,KTTI_VERSION,pi->port,pi->delay);
 
 }
--- a/drivers/block/paride/on20.c
+++ b/drivers/block/paride/on20.c
@@ -115,7 +115,7 @@ static void on20_log_adapter( PIA *pi, c
 
 {       char    *mode_string[2] = {"4-bit","8-bit"};
 
-        printk("%s: on20 %s, OnSpec 90c20 at 0x%x, ",
+        printk(KERN_INFO "%s: on20 %s, OnSpec 90c20 at 0x%x, ",
                 pi->device,ON20_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/on26.c
+++ b/drivers/block/paride/on26.c
@@ -167,7 +167,7 @@ static int on26_test_port( PIA *pi)  /* 
             }
 
 	    if (i == RESET_WAIT) 
-		printk("on26: Device reset failed (%x,%x)\n",x,y);
+		printk(KERN_NOTICE "on26: Device reset failed (%x,%x)\n",x,y);
 
             w0(4); P1; w0(4); P1;
         }
@@ -280,7 +280,7 @@ static void on26_log_adapter( PIA *pi, c
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8",
 				   "EPP-16","EPP-32"};
 
-        printk("%s: on26 %s, OnSpec 90c26 at 0x%x, ",
+        printk(KERN_INFO "%s: on26 %s, OnSpec 90c26 at 0x%x, ",
                 pi->device,ON26_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
--- a/drivers/block/paride/paride.c
+++ b/drivers/block/paride/paride.c
@@ -209,7 +209,7 @@ static int default_test_proto(PIA * pi, 
 	pi->proto->disconnect(pi);
 
 	if (verbose)
-		printk("%s: %s: port 0x%x, mode  %d, test=(%d,%d)\n",
+		printk(KERN_INFO "%s: %s: port 0x%x, mode  %d, test=(%d,%d)\n",
 		       pi->device, pi->proto->name, pi->port,
 		       pi->mode, e[0], e[1]);
 
@@ -236,7 +236,7 @@ int pi_register(PIP * pr)
 
 	for (k = 0; k < MAX_PROTOS; k++)
 		if (protocols[k] && !strcmp(pr->name, protocols[k]->name)) {
-			printk("paride: %s protocol already registered\n",
+			printk(KERN_DEBUG "paride: %s protocol already registered\n",
 			       pr->name);
 			return 0;
 		}
@@ -244,12 +244,12 @@ int pi_register(PIP * pr)
 	while ((k < MAX_PROTOS) && (protocols[k]))
 		k++;
 	if (k == MAX_PROTOS) {
-		printk("paride: protocol table full\n");
+		printk(KERN_INFO "paride: protocol table full\n");
 		return 0;
 	}
 	protocols[k] = pr;
 	pr->index = k;
-	printk("paride: %s registered as protocol %d\n", pr->name, k);
+	printk(KERN_INFO "paride: %s registered as protocol %d\n", pr->name, k);
 	return 1;
 }
 
@@ -260,7 +260,7 @@ void pi_unregister(PIP * pr)
 	if (!pr)
 		return;
 	if (protocols[pr->index] != pr) {
-		printk("paride: %s not registered\n", pr->name);
+		printk(KERN_INFO "paride: %s not registered\n", pr->name);
 		return;
 	}
 	protocols[pr->index] = NULL;
@@ -288,7 +288,7 @@ static int pi_register_parport(PIA * pi,
 	init_waitqueue_head(&pi->parq);
 
 	if (verbose)
-		printk("%s: 0x%x is %s\n", pi->device, pi->port, port->name);
+		printk(KERN_DEBUG "%s: 0x%x is %s\n", pi->device, pi->port, port->name);
 
 	pi->parname = (char *) port->name;
 #endif
@@ -390,7 +390,7 @@ int pi_init(PIA * pi, int autoprobe, int
 	} else if ((s < 0) || (s >= MAX_PROTOS) || (port <= 0) ||
 		   (!protocols[s]) || (unit < 0) ||
 		   (unit >= protocols[s]->max_units)) {
-		printk("%s: Invalid parameters\n", device);
+		printk(KERN_NOTICE "%s: Invalid parameters\n", device);
 		return 0;
 	}
 
@@ -443,9 +443,9 @@ int pi_init(PIA * pi, int autoprobe, int
 
 	if (!pi->port) {
 		if (autoprobe)
-			printk("%s: Autoprobe failed\n", device);
+			printk(KERN_INFO "%s: Autoprobe failed\n", device);
 		else
-			printk("%s: Adapter not found\n", device);
+			printk(KERN_INFO "%s: Adapter not found\n", device);
 		return 0;
 	}
 #ifndef CONFIG_PARPORT
@@ -457,7 +457,7 @@ int pi_init(PIA * pi, int autoprobe, int
 #endif				/* !CONFIG_PARPORT */
 
 	if (pi->parname)
-		printk("%s: Sharing %s at 0x%x\n", pi->device,
+		printk(KERN_INFO "%s: Sharing %s at 0x%x\n", pi->device,
 		       pi->parname, pi->port);
 
 	pi->proto->log_adapter(pi, scratch, verbose);
--- a/drivers/block/pktcdvd.c
+++ b/drivers/block/pktcdvd.c
@@ -401,7 +401,7 @@ static void pkt_dump_sense(struct packet
 	int i;
 	struct request_sense *sense = cgc->sense;
 
-	printk("pktcdvd:");
+	printk(KERN_INFO "pktcdvd:");
 	for (i = 0; i < CDROM_PACKET_SIZE; i++)
 		printk(" %02x", cgc->cmd[i]);
 	printk(" - ");
@@ -601,7 +601,7 @@ static int pkt_set_segment_merging(struc
 		set_bit(PACKET_MERGE_SEGS, &pd->flags);
 		return 0;
 	} else {
-		printk("pktcdvd: cdrom max_phys_segments too small\n");
+		printk(KERN_WARNING "pktcdvd: cdrom max_phys_segments too small\n");
 		return -EIO;
 	}
 }
@@ -1287,7 +1287,7 @@ work_to_do:
 
 static void pkt_print_settings(struct pktcdvd_device *pd)
 {
-	printk("pktcdvd: %s packets, ", pd->settings.fp ? "Fixed" : "Variable");
+	printk(KERN_INFO "pktcdvd: %s packets, ", pd->settings.fp ? "Fixed" : "Variable");
 	printk("%u blocks, ", pd->settings.size >> 2);
 	printk("Mode-%c disc\n", pd->settings.block_mode == 8 ? '1' : '2');
 }
@@ -1472,7 +1472,7 @@ static int pkt_set_write_settings(struct
 		/*
 		 * paranoia
 		 */
-		printk("pktcdvd: write mode wrong %d\n", wp->data_block_type);
+		printk(KERN_WARNING "pktcdvd: write mode wrong %d\n", wp->data_block_type);
 		return 1;
 	}
 	wp->packet_size = cpu_to_be32(pd->settings.size >> 2);
@@ -1583,7 +1583,7 @@ static int pkt_probe_settings(struct pkt
 	memset(&ti, 0, sizeof(track_information));
 
 	if ((ret = pkt_get_disc_info(pd, &di))) {
-		printk("failed get_disc\n");
+		printk(KERN_INFO "failed get_disc\n");
 		return ret;
 	}
 
@@ -1689,10 +1689,10 @@ static int pkt_write_caching(struct pktc
 	cgc.buflen = cgc.cmd[8] = 2 + ((buf[0] << 8) | (buf[1] & 0xff));
 	ret = pkt_mode_select(pd, &cgc);
 	if (ret) {
-		printk("pktcdvd: write caching control failed\n");
+		printk(KERN_INFO "pktcdvd: write caching control failed\n");
 		pkt_dump_sense(&cgc);
 	} else if (!ret && set)
-		printk("pktcdvd: enabled write caching on %s\n", pd->name);
+		printk(KERN_INFO "pktcdvd: enabled write caching on %s\n", pd->name);
 	return ret;
 }
 
@@ -1806,11 +1806,11 @@ static int pkt_media_speed(struct pktcdv
 	}
 
 	if (!buf[6] & 0x40) {
-		printk("pktcdvd: Disc type is not CD-RW\n");
+		printk(KERN_INFO "pktcdvd: Disc type is not CD-RW\n");
 		return 1;
 	}
 	if (!buf[6] & 0x4) {
-		printk("pktcdvd: A1 values on media are not valid, maybe not CDRW?\n");
+		printk(KERN_INFO "pktcdvd: A1 values on media are not valid, maybe not CDRW?\n");
 		return 1;
 	}
 
@@ -1830,14 +1830,14 @@ static int pkt_media_speed(struct pktcdv
 			*speed = us_clv_to_speed[sp];
 			break;
 		default:
-			printk("pktcdvd: Unknown disc sub-type %d\n",st);
+			printk(KERN_INFO "pktcdvd: Unknown disc sub-type %d\n",st);
 			return 1;
 	}
 	if (*speed) {
-		printk("pktcdvd: Max. media speed: %d\n",*speed);
+		printk(KERN_INFO "pktcdvd: Max. media speed: %d\n",*speed);
 		return 0;
 	} else {
-		printk("pktcdvd: Unknown speed %d for sub-type %d\n",sp,st);
+		printk(KERN_INFO "pktcdvd: Unknown speed %d for sub-type %d\n",sp,st);
 		return 1;
 	}
 }
@@ -1930,7 +1930,7 @@ static int pkt_open_dev(struct pktcdvd_d
 		goto out_putdev;
 
 	if ((ret = pkt_get_last_written(pd, &lba))) {
-		printk("pktcdvd: pkt_get_last_written failed\n");
+		printk(KERN_ERR "pktcdvd: pkt_get_last_written failed\n");
 		goto out_unclaim;
 	}
 
@@ -1960,11 +1960,11 @@ static int pkt_open_dev(struct pktcdvd_d
 
 	if (write) {
 		if (!pkt_grow_pktlist(pd, CONFIG_CDROM_PKTCDVD_BUFFERS)) {
-			printk("pktcdvd: not enough memory for buffers\n");
+			printk(KERN_ERR "pktcdvd: not enough memory for buffers\n");
 			ret = -ENOMEM;
 			goto out_unclaim;
 		}
-		printk("pktcdvd: %lukB available on disc\n", lba << 1);
+		printk(KERN_INFO "pktcdvd: %lukB available on disc\n", lba << 1);
 	}
 
 	return 0;
@@ -2089,7 +2089,7 @@ static int pkt_make_request(request_queu
 
 	pd = q->queuedata;
 	if (!pd) {
-		printk("pktcdvd: %s incorrect request queue\n", bdevname(bio->bi_bdev, b));
+		printk(KERN_WARNING "pktcdvd: %s incorrect request queue\n", bdevname(bio->bi_bdev, b));
 		goto end_io;
 	}
 
@@ -2111,13 +2111,13 @@ static int pkt_make_request(request_queu
 	}
 
 	if (!test_bit(PACKET_WRITABLE, &pd->flags)) {
-		printk("pktcdvd: WRITE for ro device %s (%llu)\n",
+		printk(KERN_INFO "pktcdvd: WRITE for ro device %s (%llu)\n",
 			pd->name, (unsigned long long)bio->bi_sector);
 		goto end_io;
 	}
 
 	if (!bio->bi_size || (bio->bi_size % CD_FRAMESIZE)) {
-		printk("pktcdvd: wrong bio size\n");
+		printk(KERN_WARNING "pktcdvd: wrong bio size\n");
 		goto end_io;
 	}
 
@@ -2320,7 +2320,7 @@ static int pkt_new_dev(struct pktcdvd_de
 	struct block_device *bdev;
 
 	if (pd->pkt_dev == dev) {
-		printk("pktcdvd: Recursive setup not allowed\n");
+		printk(KERN_ERR "pktcdvd: Recursive setup not allowed\n");
 		return -EBUSY;
 	}
 	for (i = 0; i < MAX_WRITERS; i++) {
@@ -2328,11 +2328,11 @@ static int pkt_new_dev(struct pktcdvd_de
 		if (!pd2)
 			continue;
 		if (pd2->bdev->bd_dev == dev) {
-			printk("pktcdvd: %s already setup\n", bdevname(pd2->bdev, b));
+			printk(KERN_INFO "pktcdvd: %s already setup\n", bdevname(pd2->bdev, b));
 			return -EBUSY;
 		}
 		if (pd2->pkt_dev == dev) {
-			printk("pktcdvd: Can't chain pktcdvd devices\n");
+			printk(KERN_INFO "pktcdvd: Can't chain pktcdvd devices\n");
 			return -EBUSY;
 		}
 	}
@@ -2355,7 +2355,7 @@ static int pkt_new_dev(struct pktcdvd_de
 	atomic_set(&pd->cdrw.pending_bios, 0);
 	pd->cdrw.thread = kthread_run(kcdrwd, pd, "%s", pd->name);
 	if (IS_ERR(pd->cdrw.thread)) {
-		printk("pktcdvd: can't start kernel thread\n");
+		printk(KERN_ERR "pktcdvd: can't start kernel thread\n");
 		ret = -ENOMEM;
 		goto out_mem;
 	}
@@ -2447,7 +2447,7 @@ static int pkt_setup_dev(struct pkt_ctrl
 		if (!pkt_devs[idx])
 			break;
 	if (idx == MAX_WRITERS) {
-		printk("pktcdvd: max %d writers supported\n", MAX_WRITERS);
+		printk(KERN_INFO "pktcdvd: max %d writers supported\n", MAX_WRITERS);
 		return -EBUSY;
 	}
 
@@ -2627,7 +2627,7 @@ static int __init pkt_init(void)
 
 	ret = register_blkdev(pkt_major, "pktcdvd");
 	if (ret < 0) {
-		printk("pktcdvd: Unable to register block device\n");
+		printk(KERN_ERR "pktcdvd: Unable to register block device\n");
 		goto out2;
 	}
 	if (!pkt_major)
@@ -2635,7 +2635,7 @@ static int __init pkt_init(void)
 
 	ret = misc_register(&pkt_misc);
 	if (ret) {
-		printk("pktcdvd: Unable to register misc device\n");
+		printk(KERN_ERR "pktcdvd: Unable to register misc device\n");
 		goto out;
 	}
 
--- a/drivers/block/ps2esdi.c
+++ b/drivers/block/ps2esdi.c
@@ -44,6 +44,7 @@
 #include <linux/ioport.h>
 #include <linux/module.h>
 #include <linux/hdreg.h>
+#include <linux/delay.h>
 
 #include <asm/system.h>
 #include <asm/io.h>
@@ -460,8 +461,7 @@ static void __init ps2esdi_get_device_cf
 	cmd_blk[1] = 0;
 	no_int_yet = TRUE;
 	ps2esdi_out_cmd_blk(cmd_blk);
-	if (no_int_yet)
-		sleep_on(&ps2esdi_int);
+	wait_event(ps2esdi_int, !no_int_yet);
 
 	if (ps2esdi_drives > 1) {
 		printk("%s: Drive 1\n", DEVICE_NAME);	/*BA */
@@ -469,8 +469,7 @@ static void __init ps2esdi_get_device_cf
 		cmd_blk[1] = 0;
 		no_int_yet = TRUE;
 		ps2esdi_out_cmd_blk(cmd_blk);
-		if (no_int_yet)
-			sleep_on(&ps2esdi_int);
+		wait_event(ps2esdi_int, !no_int_yet);
 	}			/* if second physical drive is present */
 	return;
 }
